Skip to content

List published reports visible to the current actor.

GET
/api/workspace/reporting/reports/navigator
curl --request GET \
--url https://example.com/api/workspace/reporting/reports/navigator \
--header 'Authorization: Bearer <token>'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime report navigator item visible to the current actor.

object
Id

Report definition id.

string
nullable
Key

Report key.

string
nullable
Title

Report title.

string
nullable
Description

Report description.

string
nullable
Navigator

Report navigator metadata used by the dynamic report navigator.

object
Category

Navigator category.

string
nullable
Group

Navigator group.

string
nullable
Icon

Navigator icon.

string
nullable
Priority

Navigator ordering priority.

integer format: int32
nullable
Tags

Searchable tags.

Array<string>
nullable
Featured

Whether the report is featured.

boolean
SearchText

Optional additional search text.

string
nullable
PublishedVersionNumber

Published version number.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data
Array<object>
nullable

Runtime report navigator item visible to the current actor.

object
Id

Report definition id.

string
nullable
Key

Report key.

string
nullable
Title

Report title.

string
nullable
Description

Report description.

string
nullable
Navigator

Report navigator metadata used by the dynamic report navigator.

object
Category

Navigator category.

string
nullable
Group

Navigator group.

string
nullable
Icon

Navigator icon.

string
nullable
Priority

Navigator ordering priority.

integer format: int32
nullable
Tags

Searchable tags.

Array<string>
nullable
Featured

Whether the report is featured.

boolean
SearchText

Optional additional search text.

string
nullable
PublishedVersionNumber

Published version number.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}